/**************************************
   Calcula Desconto de INSS

**************************************/

#include <iostream>
#include <math.h>
using namespace std;

int main(void) {

    // Apresenta ao usurio a finalidade do programa
    cout << "Calcula desconto de INSS" << endl;

    // Declara variveis
    float SB, SL, CINSS, ARRED;

    // L Salrio Bruto
    cout << "Digite o Salario Bruto, em R$: ";
    cin >> SB;

    //  da primeira faixa do INSS?
    if (SB <= 1106.90 ) {
        // Alquota 8%
        CINSS = 0.08 * SB;
    }
    //  da segunda faixa do INSS?
    else if (SB <= 1844.83) {
        // Alquota 9%
        CINSS = 0.09 * SB;
    }
    //  da terceira faixa do INSS?
    else if (SB <= 3689.66) {
        // Alquota 11%
        CINSS = 0.11 * SB;
    }
    //  da quarta faixa do INSS?
    else {
        // Valor fixo!
        CINSS = 405.86;
    }

    // Arredonda CINSS
    ARRED = round(CINSS*100.0)/100.0;

    // Calcula salrio Lquido
    SL = SB - ARRED;

    // Imprime resultado
    cout << "Salario Bruto: R$" << SB << endl;
    cout << "Desconto INSS: R$" << ARRED << endl;
    cout << "Salario Liqu.: R$" << SL << endl;

}
